using System;

internal sealed class Delegate778 : MulticastDelegate
{
	public extern int Invoke(string string_0, string string_1);

	public static int smethod_0(string string_0, string string_1, Delegate778 delegate778_1)
	{
		return delegate778_1(string_0, string_1);
	}

	public extern Delegate778(object object_0, IntPtr intptr_0);

	static Delegate778()
	{
		Class10.smethod_13(typeof(Delegate778).TypeHandle);
	}

	internal static Delegate778 delegate778_0;
}
